Package org.silverpeas.mobile.shared.dto.formsonline

## Class FormDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.formsonline.FormDTO

- All Implemented Interfaces:
    `Serializable`

      public class FormDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDescription()` |
    `String` | `getId()` |
    `int` | `getNbRequests()` |
    `String` | `getTitle()` |
    `String` | `getXmlFormName()` |
    `boolean` | `isReceiver()` |
    `void` | `setDescription​(String description)` |
    `void` | `setId​(String id)` |
    `void` | `setNbRequests​(int nbRequests)` |
    `void` | `setReceiver​(boolean receiver)` |
    `void` | `setTitle​(String title)` |
    `void` | `setXmlFormName​(String xmlFormName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormDTO

          public FormDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### setXmlFormName

          public void setXmlFormName​(String xmlFormName)

    - #### getXmlFormName

          public String getXmlFormName()

    - #### isReceiver

          public boolean isReceiver()

    - #### setReceiver

          public void setReceiver​(boolean receiver)

    - #### getNbRequests

          public int getNbRequests()

    - #### setNbRequests

          public void setNbRequests​(int nbRequests)